import { declare } from '@babel/helper-plugin-utils';

var index = declare(api => {
  api.assertVersion("8.0.0-alpha.17");
  return {
    name: "transform-object-set-prototype-of-to-assign",
    visitor: {
      CallExpression(path, file) {
        if (path.get("callee").matchesPattern("Object.setPrototypeOf")) {
          path.node.callee = file.addHelper("defaults");
        }
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
